Subject: Re: [PATCH] net: ptp: move PTP classifier in its own file

From: Richard Cochran <[email-masked]>
Date: Tue, 1 Apr 2014 18:37:01 +0200

On Tue, Apr 01, 2014 at 04:20:23PM +0200, Daniel Borkmann wrote:
> In the kernel tree under tools/net/ we have bpf_asm and bpf_dbg
> tools, so the commented program can simply be translated via
> `./bpf_asm -c prog` where prog is a file that contains the
> commented code. This makes it easily readable/verifiable and when
> there's a need to change something, jump offsets etc do not need
> to be replaced manually which can be very error prone. Instead,
> a newly translated version via bpf_asm can simply replace the old
> code. I have checked opcode diffs before/after and it's the very
> same filter.

I'll take your word for it.

Acked-by: Richard Cochran <[email-masked]>